// SampleImageDoc.h : interface of the CSampleImageDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SAMPLEIMAGEDOC_H__INCLUDED_)
#define AFX_SAMPLEIMAGEDOC_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AbstractDocument.h"
#include "gfl.h"

class CSampleImageDoc : public CAbstractDocument
{
protected: // create from serialization only
	CSampleImageDoc();
	DECLARE_DYNCREATE(CSampleImageDoc)

// Attributes
public:
	virtual int documentType() { return 2; }

	GFLBitmap m_gflBitmap;
	bool m_readOnly;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleImageDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSampleImageDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSampleImageDoc)
	afx_msg void OnReadOnly();
	afx_msg void OnUpdateReadOnly(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAMPLEIMAGEDOC_H__INCLUDED_)
